{smcl}
{* *! Beta version, 2017 UDB release}{...}
{cmd:help eusilcpanel}
{hline}

{title:Title}

    {hi:eusilcpanel} {c -} merge single longitudinal datasets from the EU-silc release (2003-2015) into one large panel. 

{title:Syntax}

{p 8 17 2}
{cmd:eusilcpanel}

{synoptline}
{p2colreset}{...}
{marker textcolumn}{marker textrow}{marker textgrid}{...}
{phang}then insert location of "EU-SILC" folder as prompted. {p_end}

{title:Description}

{pstd}
{cmd:eusilcpanel} takes the UDB longitudinal datasets contained in the EU-SILC folder distributed by Eurostat and merges them in one dataset. It does so by selecting and comparing single rotational groups from different waves to avoid 
overlapping of data. {cmd:eusilcpanel} also adapts the base-weights and some longitudinal weights provided by the Member States. 
{p_end}

{pstd}
{cmd:eusilcpanel} version Beta 1.0 is built for the EU-SILC release containing data from 2003 to 2015.{p_end}

{pstd}
The input folder for this version of {cmd:eusilcpanel} must be structured following the below naming convention. {cmd:eusilcpanel} reads all versions of the UDB files, i.e. "..." in the .csv file 
name can take whatever value. In case the the folders received from Eurostat carry different names, they musy be renamed before running {cmd:eusilcpanel}.

{pstd}
{cmd:eusilcpanel} works well with data published by most countries, but it doesn't produce good results for NO, IS, and LU whose rotational designs change across releases.{p_end}


{title:Input folder naming convention}

	{txt}C:\...\EU-SILC
	{txt}{c LT}{c -}{c -}{c -}1 L-2005
	{txt}{c |}       UDB_L05D_ver....csv
	{txt}{c |}       UDB_L05H_ver....csv
	{txt}{c |}       UDB_L05P_ver....csv
	{txt}{c |}       UDB_L05R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}2 L-2006
	{txt}{c |}       UDB_L06D_ver....csv
	{txt}{c |}       UDB_L06H_ver....csv
	{txt}{c |}       UDB_L06P_ver....csv
	{txt}{c |}       UDB_L06R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}3 L-2007
	{txt}{c |}       UDB_l07D_ver....csv
	{txt}{c |}       UDB_l07H_ver....csv
	{txt}{c |}       UDB_l07P_ver....csv
	{txt}{c |}       UDB_l07R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}4 L-2008
	{txt}{c |}       UDB_l08D_ver....csv
	{txt}{c |}       UDB_l08H_ver....csv
	{txt}{c |}       UDB_l08P_ver....csv
	{txt}{c |}       UDB_l08R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}5 L-2009
	{txt}{c |}       UDB_l09D_ver....csv
	{txt}{c |}       UDB_l09H_ver....csv
	{txt}{c |}       UDB_l09P_ver....csv 
	{txt}{c |}       UDB_l09R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}6 L-2010
	{txt}{c |}       UDB_l10D_ver....csv
	{txt}{c |}       UDB_l10H_ver....csv
	{txt}{c |}       UDB_l10P_ver....csv
	{txt}{c |}       UDB_l10R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}7 L-2011
	{txt}{c |}       UDB_l11D_ver....csv
	{txt}{c |}       UDB_l11H_ver....csv
	{txt}{c |}       UDB_l11P_ver....csv
	{txt}{c |}       UDB_l11R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}8 L-2012
	{txt}{c |}       UDB_l12D_ver....csv
	{txt}{c |}       UDB_l12H_ver....csv
	{txt}{c |}       UDB_l12P_ver....csv
	{txt}{c |}       UDB_l12R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}9 L-2013
	{txt}{c |}       UDB_l13D_ver....csv
	{txt}{c |}       UDB_l13H_ver....csv
	{txt}{c |}       UDB_l13P_ver....csv
	{txt}{c |}       UDB_l13R_ver....csv
	{txt}{c |}
	{txt}{c LT}{c -}{c -}{c -}10 L-2014
	{txt}{c |}       UDB_l14D_ver....csv
	{txt}{c |}       UDB_l14H_ver....csv
	{txt}{c |}       UDB_l14P_ver....csv
	{txt}{c |}       UDB_l14R_ver....csv
	{txt}{c |}
	{txt}{c BLC}{c -}{c -}{c -}11 L-2015
	{txt}        UDB_l15D_ver....csv
	{txt}        UDB_l15H_ver....csv
	{txt}        UDB_l15P_ver....csv
	{txt}        UDB_l15R_ver....csv

{title:Output}

{pstd}
The output of {cmd:eusilcpanel} is saved in .../EU-SILC/11 L-2015/. It produces four datasets:{p_end}

	{txt}{it: masterD.dta}: all UDB D files with scaled base weights; 
	
	{txt}{it: masterH.dta}: all UDB H files with scaled base weights; 
	
	{txt}{it: masterR.dta}: all UDB R files with scaled base weights; 
	
	{txt}{it: masterP.dta}: all UDB P files with scaled base weights; 

{pstd}
The above files contain some variables that are added by {cmd:eusilcpanel} to the original datasets. 
These are defined as follows with respect to the variable names used in the EU-Silc Guidelines issued by Eurostat:{p_end}

	{txt}{it:year = db010, hb010}: year of observation;
	
	{txt}{it:country = db020, db020}: country of observation;
	
	{txt}{it:hid = db030, db030, rb040}: household ID provided by Eurostat/Member States;
	
	{txt}{it:rotation_group = db075}: rotation group ID provided by Eurostat/Member States. {it:rotation_group = 10} when {db075} is missing;

	{txt}{it:urtgrp} is an alternative ID for rotational groups unique across all countries and releases. It is a string 
		composed of country ({it:db030}), rotation group ({it:db075}) and the last year in which the rotation group was 
		(or will be) active assuming 4 years of observation;  

	{txt}{it:uhid} is an alternative household ID that is unique across all releases and countries. It is a string composed 
		of {it:urtgrp}, {it:dtag}, a {it:d} as a separator, and the household ID {it:hid};
	
	{txt}{it:uhidnum} is a numerical household ID based on {it:uhid}. Being numerical it can be used with {cmd:xtset};

	{txt}{it:pid = rb030} personal ID provided by Eurostat/Member States;
	
	{txt}{it:upid} is a personal ID composed by the first 7 places of the unique household ID ({it:uhid}), {it:ptag}, a {it:p} as a separator, and {it:pid}. 
		{it:upid} is not strictly unique in the sense that the R and P files contain individuals that are part of multiple households. These individuals are reported as separate 
		observations that share the same {it:pid} but differ in {it:hid};

	{txt}{it:upidnum} is a numerical personal ID based on {it:uhid}. Being numerical it can be used with {cmd:xtset}.

	{txt}{it:pop} population size of a country during a given year, sourced from {browse "http://ec.europa.eu/eurostat/tgm/table.do?tab=table&language=en&pcode=tps00001&tableSelection=1&footnotes=yes&labeling=labels&plugin=1":Eurostat}.
		
	{txt}{it:rscale} sum of base weights ({it:rb060}) of a rotational group divided by the sum of base weights of a country; 
	
	{txt}{it:rb060s} are the base weights ({it:rb060}) rescaled by {it:rscale};

	{txt}{it:lrscale} sum of longitudinal weights ({it:rb064}) with respect to a rotational group divided by the sum of longitudinal weights of a country; 
	
	{txt}{it:rb064s} are longitudinal weights ({it:rb064}) rescaled by {it:lrscale};	
	
	{txt}{it:pscale} sum of individual weights ({it:pb080}) of a rotational group divided by the sum of weights of a country;

	{txt}{it:pb080s} personal weight ({it:pb080}) multiplied by {it:pscale}.
	
	{txt}{it:smwrate64} is the difference between sum of weights ({it:rb064s}) and total population size ({it:pop}) divided by total population size.

	{txt}{it:smwrate60} is the difference between sum of weights ({it:rb060s}) and total population size ({it:pop}) divided by total population size.

	{txt}{it:smwrate80} is the difference between sum of weights ({it:pb080s}) and total population size ({it:pop}) divided by total population size.

{title:Also see}

{psee}
{browse "http://appsso.eurostat.ec.europa.eu/nui/show.do?dataset=ilc_lvph01&lang=en" : Insert Article URL}
